<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>InitialisationOnlineGame</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="InitialisationOnlineGame";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InitialisationOnlineGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/GridListener.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/ListenerCards.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/InitialisationOnlineGame.html" target="_top">Frames</a></li>
<li><a href="InitialisationOnlineGame.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class InitialisationOnlineGame" class="title">Class InitialisationOnlineGame</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controler.InitialisationOnlineGame</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">InitialisationOnlineGame</span>
extends java.lang.Object</pre>
<div class="block">The Class InitialisationOnlineGame, depending of the cunstructor used, will start a server and connect to him to play online.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20model.PlayerOnline[])">InitialisationOnlineGame</a></strong>(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        <a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>[]&nbsp;players)</code>
<div class="block">Create a server who will start a gamerule with the players.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20java.lang.String)">InitialisationOnlineGame</a></strong>(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        java.lang.String&nbsp;host)</code>
<div class="block">Connect the program to the computer of the name host.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../controler/InitialisationOnlineGame.html#getHost()">getHost</a></strong>()</code>
<div class="block">Gets the name of the host.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/InitialisationOnlineGame.html#rechercheGame(view.Blokus)">rechercheGame</a></strong>(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Search the server and get the gameRule.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="InitialisationOnlineGame(view.Blokus, model.PlayerOnline[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>InitialisationOnlineGame</h4>
<pre>public&nbsp;InitialisationOnlineGame(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        <a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a>[]&nbsp;players)</pre>
<div class="block">Create a server who will start a gamerule with the players.
 After that, connect the program to this server.
 
 This part of this program is experimental, the connection and the answer of the program can be defaulting.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>blokus</code> - the frame who display the game</dd><dd><code>players</code> - the players of the futur game</dd></dl>
</li>
</ul>
<a name="InitialisationOnlineGame(view.Blokus, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>InitialisationOnlineGame</h4>
<pre>public&nbsp;InitialisationOnlineGame(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        java.lang.String&nbsp;host)</pre>
<div class="block">Connect the program to the computer of the name host.
 And display the game receive.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>blokus</code> - the blokus</dd><dd><code>host</code> - the hostname (the name of the computer who have the server)</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHost()</pre>
<div class="block">Gets the name of the host.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the host name</dd></dl>
</li>
</ul>
<a name="rechercheGame(view.Blokus)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rechercheGame</h4>
<pre>public&nbsp;void&nbsp;rechercheGame(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</pre>
<div class="block">Search the server and get the gameRule.
 When the gameRule is find, this method create the GameOnline object and display the game.
 
 This part of this program is experimental, the connection and the answer of the program can be defaulting.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>blokus</code> - the blokus</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InitialisationOnlineGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/GridListener.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/ListenerCards.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/InitialisationOnlineGame.html" target="_top">Frames</a></li>
<li><a href="InitialisationOnlineGame.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
